WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Developer Formatter] Not working (16 posts)

  1. Mindaugas
    Member
    Posted 5 years ago #

    This plugin not working on WordPress 2.7-beta2
    Then I install this plugin, after this I can't swith tabs then want to create/edit posts.

    In tabs it's highlight "Visual" but in textarea I get HTML code.

    Sorry, for bad English language.

    http://wordpress.org/extend/plugins/devformatter/

  2. carlkuang
    Member
    Posted 5 years ago #

    same here...im using 2.7 beta2 too
    cuz i was using HTML before..and then i found that i cant change it to visual tab..i disable the plugin and then i can switch to visual editing. and then i turned it on again... no visual again = =

  3. GSaraiva
    Member
    Posted 5 years ago #

    Sry, but I'm not a tester, and don't have any possibilities to check what is happening. really sry.

  4. supercharged
    Member
    Posted 5 years ago #

    This plugin breaks TinyMCE (Visual editor) functionality in WP 2.7

  5. Constantinos Kouloumbris
    Member
    Posted 5 years ago #

    It looks like that the plugin needs more testing under wp2.7.

    • Visual Editor is broken
    • Having more than 1 small code block you get a script not responding error from your browser.

    This is what I have noticed so far.

    Unfortunately it's been a long time since I've used wp's API and it has changed critically.

    I will have a look into it as soon as I find some time, but lets hope the developer can address this issues quickly.

    Constantinos

  6. Sorin
    Member
    Posted 5 years ago #

    I can confirm the thing plugin does disable the visual editor in WordPress 2.7

    So I would call it incompatible due to this. I give it 1* but I would change it to 5* if the developer would repair this issue.

  7. GSaraiva
    Member
    Posted 5 years ago #

    fixed at 2008.0.1.13
    thanks for the feedback.

  8. Sorin
    Member
    Posted 5 years ago #

    Sorry but upgrading to the new release (2008.0.1.13) does not solves this problem.

  9. SergeR
    Member
    Posted 5 years ago #

    With version 2008.0.1.13 visual editor still doesn't work :-(

  10. GSaraiva
    Member
    Posted 5 years ago #

    What about browser cache?
    I made the modification on devfmt_editor.js file to fix the problem, and any browser can cache this file.

    Please try to remove the cache on browser and check again the editor.

  11. Sorin
    Member
    Posted 5 years ago #

    Yes it's true, now it's working! 5* to it!

    Also please vote for it so it will appear in better position on search results.

  12. GSaraiva
    Member
    Posted 5 years ago #

    Thanks dude.

    I'll change the references to static files to get out of this trouble soon as possible. (like wordpress do ^^)
    something near:
    http://..../devformatter/devfmt_editor.js?version=2008.0.1.13

    and then the browser cache will be avoided.

    Cheers

  13. SergeR
    Member
    Posted 5 years ago #

    2008.0.1.14 works fine! :-)

  14. zer0efx
    Member
    Posted 5 years ago #

    I've got errors with this upon first install... When I go to the settings area, I see some PHP errors.

    Warning: Invalid argument supplied for foreach() in /homepages/24/d162410075/htdocs/red/blog/wp-content/plugins/devformatter/devinterface.php on line 79

    Warning: Invalid argument supplied for foreach() in /homepages/24/d162410075/htdocs/red/blog/wp-content/plugins/devformatter/devcommon.php on line 200

    Using WP 2.7.1

  15. zer0efx
    Member
    Posted 5 years ago #

    I did some looking into your code, and it looks like you are using some depreciated syntax.

    You need to change all the GLOBAL to global and all the IsSet to isset and you have a JS error on live 345 of devformatter.php

    I made some changes, but it looks like the old code is used globally on your plugin.

  16. GSaraiva
    Member
    Posted 5 years ago #

    zer0efx, this not a bug, its only a installation problem that can be avoided by uploading the geshi to your server and pointing the GeSHi lang dir correctly.

    Technically, the error raise when the $DevFmt_SuppLangs(container supported languages by GeSHi) is empty and was not a array, problems related with function devfmt_ReadSupportedLangs() that can return a no-array result.

Topic Closed

This topic has been closed to new replies.

About this Topic